AlgorithmParameterGenerator
Date: 2016-06-24

java.security

## Class AlgorithmParameterGenerator

- java.lang.Object
- - java.security.AlgorithmParameterGenerator

-     public class AlgorithmParameterGenerator
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AlgorithmParameterGenerator(AlgorithmParameterGeneratorSpi var0, Provider var1, String var2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AlgorithmParameters` | `generateParameters()`
    `String` | `getAlgorithm()`
    `static AlgorithmParameterGenerator` | `getInstance(String var0)`
    `static AlgorithmParameterGenerator` | `getInstance(String var0, Provider var1)`
    `static AlgorithmParameterGenerator` | `getInstance(String var0, String var1)`
    `Provider` | `getProvider()`
    `void` | `init(AlgorithmParameterSpec var0)`
    `void` | `init(AlgorithmParameterSpec var0, SecureRandom var1)`
    `void` | `init(int var0)`
    `void` | `init(int var0, SecureRandom var1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlgorithmParameterGenerator

          protected AlgorithmParameterGenerator(AlgorithmParameterGeneratorSpi var0,
                                     Provider var1,
                                     String var2)

  - ### Method Detail

    - #### generateParameters

          public final AlgorithmParameters generateParameters()

    - #### getAlgorithm

          public final String getAlgorithm()

    - #### getInstance

          public static AlgorithmParameterGenerator getInstance(String var0)
                                                         throws NoSuchAlgorithmException

      Throws:
        `NoSuchAlgorithmException`

    - #### getInstance

          public static AlgorithmParameterGenerator getInstance(String var0,
                                                String var1)
                                                         throws NoSuchAlgorithmException,
                                                                NoSuchProviderException

      Throws:
        `NoSuchAlgorithmException`
        `NoSuchProviderException`

    - #### getInstance

          public static AlgorithmParameterGenerator getInstance(String var0,
                                                Provider var1)
                                                         throws NoSuchAlgorithmException

      Throws:
        `NoSuchAlgorithmException`

    - #### getProvider

          public final Provider getProvider()

    - #### init

          public final void init(int var0)

    - #### init

          public final void init(int var0,
                  SecureRandom var1)

    - #### init

          public final void init(AlgorithmParameterSpec var0)
                          throws InvalidAlgorithmParameterException

      Throws:
        `InvalidAlgorithmParameterException`

    - #### init

          public final void init(AlgorithmParameterSpec var0,
                  SecureRandom var1)
                          throws InvalidAlgorithmParameterException

      Throws:
        `InvalidAlgorithmParameterException`